List my activity in Rooms
Lists what the signed-in person did across the Rooms they can still open, newest first (30 days unless since is given). Prefer list_events with actor=me.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100since?string
ISO date and time.
Length
length <= 40Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/room-activity/mine" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": [ { "activity_id": "98dae057-958f-4b2f-9ed4-41f109afdc3f", "occurred_at": "string", "type": "string", "actor": { "type": "user", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "name": "string" }, "subject": { "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "email": "string", "name": "string" }, "target": { "type": "string", "name": "string" }, "room_file_id": "string", "task_id": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "approval_id": "15af2260-72db-4fc4-b587-6b841d6a3d55", "detail": { "property1": null, "property2": null }, "mine": true, "room": { "room_id": "string", "title": "string" } } ], "request_id": "string"}